import mbase
import mworld
import mveh

def isVehicle(entity):
	return (entity[1] >> 28) == 2

def eventBulletFired(shooter, weaponId, endPosition, target, fragmentNumber, fragmentTotal):
	if weaponId != 26:
		return
	
	if target and isVehicle(target):
		mveh.blowVehicleUp(target, shooter)
	else:
		mworld.createExplosion(shooter, 0, endPosition)
		
	mworld.createExplosion(shooter, 1, endPosition)
	
mbase.registerCallback("eventBulletFired", eventBulletFired)